Revoke a personal access token
DELETE
/connections/pat/{id}
const url = 'https://api.engram.page/connections/pat/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.engram.page/connections/pat/example \ --header 'Authorization: Bearer <token>'Revokes the personal access token (API key) with the given UUID so it can no longer authenticate. Returns 404 for an unknown or malformed id. Session-auth only.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
PAT (API key) UUID
Responses
Section titled “Responses”Revoked (empty body)
No such PAT
Media typeapplication/json
MessageError
object
error
required
string
Example
{ "error": "not found"}